Bug 832244 - polkit fails to start under systemd
polkit fails to start under systemd
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: polkit (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 21:08 EDT by Ben Boeckel
Modified: 2013-03-05 23:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 00:47:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2012-06-14 21:08:14 EDT
Description of problem:
polkitd segfaults when started with systemctl start polkit.service. Starting manually works. As an aside, the polkitd user wasn't added when the upgrade happened (a yum reinstall fixed that though).

polkitd[4064]: segfault at 10 ip 00007f3281591ee4 sp 00007fffbb85a070 error 4 in libpthread-2.15.90.so[7f3281588000+17000]

I tried getting a coredump with ulimit -c unlimited, but I don't know where it ends up when systemctl starts it.

Version-Release number of selected component (if applicable):
polkit-0.106-1.fc18.x86_64

How reproducible:
Always
Comment 1 Ben Boeckel 2012-07-20 00:47:59 EDT
polkit is starting via systemd fine now. Not sure when it started working.

Note You need to log in before you can comment on or make changes to this bug.